Bug 1030754 - Please enable python3 support of this package
Please enable python3 support of this package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-docopt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1030755
  Show dependency treegraph
 
Reported: 2013-11-14 23:48 EST by Christopher Meng
Modified: 2014-07-30 03:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-docopt-0.6.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 03:04:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-11-14 23:48:39 EST
Hi,

We are moving to python3 now, and your package still lack python3 support.

Please build python3-docopt.

You can take a look at the bug Blocks field to see more information.

Thanks.
Comment 1 Fedora Update System 2013-11-15 06:37:21 EST
python-docopt-0.6.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-docopt-0.6.1-2.fc18
Comment 2 Fedora Update System 2013-11-15 06:37:31 EST
python-docopt-0.6.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-docopt-0.6.1-2.fc19
Comment 3 Fedora Update System 2013-11-16 02:08:28 EST
Package python-docopt-0.6.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-docopt-0.6.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21485/python-docopt-0.6.1-2.fc18
then log in and leave karma (feedback).
Comment 4 Christopher Meng 2013-11-19 05:11:42 EST
Thank you.
Comment 5 Robert Kuska 2014-01-15 08:32:27 EST
Hi, is there any reason why python3-docopt is not included also in f20?
Comment 6 Christopher Meng 2014-01-15 21:56:16 EST
Ooops, I searched again with keyword "python3-docopt" and returns nothing here.

So python3 support is not completed. I can only see python3 support in the spec, but not RPM.
Comment 7 Martin Sivák 2014-01-16 05:57:11 EST
There is no python3 specific package. python-docopt provides both versions.
Comment 8 Fedora Update System 2014-01-16 06:05:26 EST
python-docopt-0.6.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-docopt-0.6.1-2.fc20
Comment 9 Robert Kuska 2014-01-20 05:03:22 EST
Python3 files must be in the separate subpackage [1]. 

From your spec file:

%files
%{python_sitelib}/docopt.py*
%{python_sitelib}/docopt-*.egg-info
%if 0%{?with_python3}
%{python3_sitelib}/__pycache__/docopt*
%{python3_sitelib}/docopt.py*
%{python3_sitelib}/docopt-*.egg-info
%endif

It's should be 

%files
%{python_sitelib}/docopt.py*
%{python_sitelib}/docopt-*.egg-info
%if 0%{?with_python3} 
%files -n python3-docopt
%{python3_sitelib}/__pycache__/docopt*
%{python3_sitelib}/docopt.py*
%{python3_sitelib}/docopt-*.egg-info
%endif


[1] http://fedoraproject.org/wiki/Packaging:Python#Subpackages
Comment 10 Fedora Update System 2014-02-03 11:10:40 EST
python-docopt-0.6.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-docopt-0.6.1-3.fc19
Comment 11 Fedora Update System 2014-02-03 11:10:49 EST
python-docopt-0.6.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-docopt-0.6.1-3.fc20
Comment 12 Fedora Update System 2014-02-03 21:43:58 EST
Package python-docopt-0.6.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-docopt-0.6.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1962/python-docopt-0.6.1-3.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-07-30 03:04:19 EDT
python-docopt-0.6.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.